libgit2-0.26.8-1.el8.x86_64.rpm


Advertisement

Description

libgit2 - C implementation of the Git core methods as a library with a solid API

Property Value
Distribution CentOS 8
Repository CentOS AppStream x86_64
Package filename libgit2-0.26.8-1.el8.x86_64.rpm
Package name libgit2
Package version 0.26.8
Package release 1.el8
Package architecture x86_64
Package type rpm
Homepage http://libgit2.github.com/
License GPLv2 with exceptions
Maintainer -
Download size 455.61 KB
Installed size 1.43 MB
libgit2 is a portable, pure C implementation of the Git core methods
provided as a re-entrant linkable library with a solid API, allowing
you to write native speed custom Git applications in any language
with bindings.

Alternatives

Package Version Architecture Repository
libgit2-0.26.8-1.el8.i686.rpm 0.26.8 i686 CentOS AppStream
libgit2 - - -

Requires

Name Value
libc.so.6(GLIBC_2.15)(64bit) -
libcrypto.so.1.1()(64bit) -
libcrypto.so.1.1(OPENSSL_1_1_0)(64bit) -
libcurl.so.4()(64bit) -
libhttp_parser.so.2()(64bit) -
libpthread.so.0()(64bit) -
libpthread.so.0(GLIBC_2.2.5)(64bit) -
libpthread.so.0(GLIBC_2.3.2)(64bit) -
librt.so.1()(64bit) -
librt.so.1(GLIBC_2.2.5)(64bit) -
libssl.so.1.1()(64bit) -
libssl.so.1.1(OPENSSL_1_1_0)(64bit) -
libz.so.1()(64bit) -
rtld(GNU_HASH) -

Provides

Name Value
bundled(libxdiff) -
libgit2 = 0.26.8-1.el8
libgit2(x86-64) = 0.26.8-1.el8
libgit2.so.26()(64bit) -

Download

Type URL
Mirror mirror.centos.org
Binary Package libgit2-0.26.8-1.el8.x86_64.rpm
Source Package libgit2-0.26.8-1.el8.src.rpm

Install Howto

Install libgit2 rpm package:

# dnf install libgit2

Files

Path
/usr/lib/.build-id/
/usr/lib/.build-id/91/0e7cc24da035f3cbac07b4d432123b912e9fcd
/usr/lib64/libgit2.so.0.26.8
/usr/lib64/libgit2.so.26
/usr/share/licenses/libgit2/COPYING

Changelog

2019-05-15 - Brian C. Lane <bcl@redhat.com> - 0.26.8-1
- Update to 0.26.8
Resolves: rhbz#1638880
- Disable upstream online tests
Related: rhbz#1638880
- tests: Increase TOOBIG value used on i686
Related: rhbz#1638880
2018-09-07 - Brian C. Lane <bcl@redhat.com> - 0.26.6-3
- CMakeLists increase strict aliasing level to 3
Related: rhbz#1624129
2018-09-05 - Brian C. Lane <bcl@redhat.com> - 0.26.6-2
- Revert overriding -O2 with -O0 in CMakeLists.txt
Resolves: rhbz#1624129
2018-08-27 - Brian C. Lane <bcl@redhat.com> - 0.26.6-1
- Update to 0.26.6 (CVE-2018-15501)
Resolves: rhbz#1615588
2018-08-13 - Brian C. Lane <bcl@redhat.com> - 0.26.5-2
- Use python3-devel in buildroot
Resolves: rhbz#1615577
2018-07-17 - Brian C. Lane <bcl@redhat.com> - 0.26.5-1
- Rebase to 0.26.5 (CVE-2018-11235, CVE-2018-10887, CVE-2018-10888)
- Disable SSH so that libssh2 is not required
- Use python3 when building
- Add README.rhel8 explaining why SSH is disabled
2018-03-12 - Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.26.3-1
- Update to 0.26.3
2018-02-07 - Fedora Release Engineering <releng@fedoraproject.org> - 0.26.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild
2018-02-02 - Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.26.0-4
- Switch to %ldconfig_scriptlets
2017-08-03 - Fedora Release Engineering <releng@fedoraproject.org> - 0.26.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

See Also

Package Description
libgit2-glib-0.26.4-2.el8.i686.rpm Git library for GLib
libgit2-glib-0.26.4-2.el8.x86_64.rpm Git library for GLib
libglvnd-1.0.1-0.9.git5baa1e5.el8.i686.rpm The GL Vendor-Neutral Dispatch library
libglvnd-1.0.1-0.9.git5baa1e5.el8.x86_64.rpm The GL Vendor-Neutral Dispatch library
libglvnd-core-devel-1.0.1-0.9.git5baa1e5.el8.i686.rpm Core development files for libglvnd
libglvnd-core-devel-1.0.1-0.9.git5baa1e5.el8.x86_64.rpm Core development files for libglvnd
libglvnd-devel-1.0.1-0.9.git5baa1e5.el8.i686.rpm Development files for libglvnd
libglvnd-devel-1.0.1-0.9.git5baa1e5.el8.x86_64.rpm Development files for libglvnd
libglvnd-egl-1.0.1-0.9.git5baa1e5.el8.i686.rpm EGL support for libglvnd
libglvnd-egl-1.0.1-0.9.git5baa1e5.el8.x86_64.rpm EGL support for libglvnd
libglvnd-gles-1.0.1-0.9.git5baa1e5.el8.i686.rpm GLES support for libglvnd
libglvnd-gles-1.0.1-0.9.git5baa1e5.el8.x86_64.rpm GLES support for libglvnd
libglvnd-glx-1.0.1-0.9.git5baa1e5.el8.i686.rpm GLX support for libglvnd
libglvnd-glx-1.0.1-0.9.git5baa1e5.el8.x86_64.rpm GLX support for libglvnd
libglvnd-opengl-1.0.1-0.9.git5baa1e5.el8.i686.rpm OpenGL support for libglvnd
Advertisement
Advertisement